Apertium has moved from SourceForge to GitHub.
If you have any questions, please come and talk to us on #apertium on irc.freenode.net or contact the GitHub migration team.

Using Apertium spellers with LibreOffice-Voikko on Debian

From Apertium
Revision as of 14:21, 26 September 2016 by Rcrowther (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

How to install libreoffice-voikko on Ubuntu/Debian

See also /Manual compilation.

Contents

[edit] Install prerequisites

First add the repository by following Prerequisites for Debian.

Then install speller-prerequisites:

sudo apt-get install libreoffice python3 git make sed findutils zip unzip pkg-config gettext \
libxml++2.6-dev libarchive-dev zlib1g-dev unzip automake autoconf libtool flex bison g++ libreadline-dev hfst \
hfst-ospell hfst-ospell-dev libvoikko-dev

[edit] Install language module

A language module supporting spelling may be installed, either from our repository, or by compiling it manually. Here we show how to install apertium-kaz package (Kazakh):

  • Install the Kazakh package:
sudo apt-get install apertium-kaz

Copy the speller data into your voikko data directory:

cp /usr/share/apertium/apertium-kaz/kaz.zhfst ~/.voikko/3/kk.zhfst

If your language module does not have an apt-package, or you want to hack on the data yourself, see /Manual compilation#Install language module.

[edit] Test the speller from the command line

echo "қазақша билмеймін" | tr ' ' '\n' | voikkospell -d kk -s

The output should be:

C: қазақша
W: билмеймін
S: билеймін
S: білмеймін
S: билемеймін
S: бөлмеймін
S: билемейміз


Note: If you get

E: Initialižation of Voikko failed: No valid dictionaries were found

then you might have to do

sudo apt-get remove libvoikko-dev
sudo apt-get autoremove

and install libvoikko from git as shown in /Manual_compilation#Libvoikko to get it to notice your dictionaries. Or wait until the newest libvoikko reaches the package repositories.

[edit] Install LibreOffice-Voikko

sudo apt-get install libreoffice-voikko

[edit] Enable your language and speller

  • Goto Tools>Options
  • Open Language Settings>Writing Aids
  • Click on Edit at the right side of Available modules section
  • Change Language to Kazakh
    • Note: You may want to make sure no other spellers for the language are activated, such as hunspell.
  • Click Ok.
  • Close the Options dialog box.

Configuring Extension.png

[edit] Test your installation

  • Click on the fourth tab in status bar to change language
  • Click More… and Select Kazakh

Language-LibreOffice.png

  • Goto Tools>Options>Language
  • Choose Kazakh
  • Click Ok
  • Type "қазақша билмеймін"
  • A red wavy line will appear on билмеймін, meaning it's misspelled
  • To get correct suggestions, right-click on the mistaken word and suggestions will appear in context menu.

Libre-Office-Voikko.png

[edit] Problems

If there is any other problem, you can contact me or Apertium community members.

Personal tools